function mini_create ()
  show_help_wnd=true;
  init_mini(1);
    --create_mini(8128);
    create_mini(26,5,674,60,91,179 ,358,569,379,179,642,569,666,179,933,569,93);
  -- finish_mini_game(true);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

  if sender==30 then
    setcurentleaf("garaj",8,0);
      flags.nohints=false;
    if flags.minicomplete24 then 
      collaps_obj(167,0,0,10,0);
      -- playeffect("20");

      playeffect("29");
      Set_Cursor(63,3);
      savegame(SaveLevel());
    return; end;
  return; end;

  if sender==10 then
    flags.minicomplete24=true;
    -- StartTimer(2100,1);
    CreateWindow(200,250,"42",1,"m&i",63,107,"masloP",246,13);
  return; end;

  if sender==37 then
     skipping=true;
  return;end;  
  -- if sender==36 and id==2100 then
     -- clear_satelite_leaf("garaj");
  -- return;end;    
  if sender==26 then
    if id==100 then
  set_visible_object(5001,true)
  end;
    if id==1 then
      clear_satelite_leaf("garaj");
    return;end;  
  return; end;

  if sender==100 then
    if not help then
      CreateWindow(200,200,"2",100,"messageinfo",30,50)
      --playeffect("01");  
      help=true;
    end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
    if sender==6 then
    if helpbtn then
       CreateWindow(200,200,"2",100,"messageinfo",30,50)
           playeffect("11");
      helpbtn=false;
    end;
    if pause_state then
    pause_state=false;
    --set_visible_object(11111,false);
    end;
    if mousepresed==true
    then
      RemoveFromMouse(objectid);
      check_mini_game_Hanoi(objectid);
            playeffect("wina");
      mousepresed=false;
      objectid=0;
    end
      if flags.object then
      speciale_action(2,651);  
      flags.object= false;
    return; end;
  return;end;
  if sender==1 then
    if id==6000 then
      helpbtn=true;  
    return;end  

    if id==5000 and skipping then
      if not flags.minicomplete24 then
        finish_mini_game(true);
      return;end;  
    return;end;
  if id==650 then
      playeffect("17");  
    finish_mini_game(false);
    DeleteResource("m24_close"       );
    DeleteResource("m24_fon"         );
    DeleteResource("kolesa"         );
    DeleteResource("masloP"       );
    clear_satelite_leaf("garaj");
  return;end;
  
    if id==651
      then
    flags.object= true;
    speciale_action(2,651);
        if mousepressed
          then

            RemoveFromMouse(objectid);
            mousepresed=false;
            objectid=0;
          end;
        check_mini_game_Hanoi(-1);
            playeffect("chpok");
        return;
      end;    
    if id>669 and id<678 then
      add_to_mouse(id);
      mousepresed=true;
      objectid=id;
    return 0; end  
  return; end;  
  
  
    
    
end;
function mini_delete ()

end;